using System;
using Telerik.Windows.Controls.Diagrams.Extensions.ViewModels;

namespace Diagrams_SL_Derived_Link_Shape
{
    public class MyGraphSource : SerializableGraphSourceBase<MyBusinessNode, MyBusinessLink>
    {
        public MyGraphSource()
        {
            this.AddNode(new MyBusinessNode()
            {
                Content = "Item 1",
                Position = new System.Windows.Point(100, 100)
            });
            this.AddNode(new MyBusinessNode()
            {
                Content = "Item 2",
                Position = new System.Windows.Point(300, 150)
            });
            this.AddLink(new MyBusinessLink()
            {
                Source = this.InternalItems[0],
                Target = this.InternalItems[1]
            });
        }

        public override string GetNodeUniqueId(MyBusinessNode node)
        {
            return node.GetHashCode().ToString();
        }
    }
}