﻿using System;
using System.Linq;
using Telerik.Windows.Controls;

namespace Diagrams_SL_Derived_Link_Shape
{
    public class MyDiagram : RadDiagram
    {
        protected override Telerik.Windows.Diagrams.Core.IConnection GetConnectionContainerForItemOverride(object item)
        {
            if (item is MyBusinessLink)
            {
                return new MyCustomConnection();
            }
            return null;
        }

        protected override bool IsItemItsOwnConnectionContainerOverride(object item)
        {
            return item is MyCustomConnection;
        }

        protected override bool IsItemItsOwnShapeContainerOverride(object item)
        {
            return item is MyCustomShape;// || item is MyCustomContainer;
        }

        protected override Telerik.Windows.Diagrams.Core.IShape GetShapeContainerForItemOverride(object item)
        {
            if (item is MyBusinessNode)
            {
                return new MyCustomShape();
            }
            return null;
        }

        //protected override Telerik.Windows.Diagrams.Core.IContainerShape GetShapeContainerForItemOverride(Telerik.Windows.Diagrams.Core.IContainerItem item)
        //{
        //    return new MyCustomContainer();
        //}
    }
}